Hello,

I recently updated my phone using the patched Cingular version of the cingular 2.12 firmware update that unlocks your phone. In order to do this, I needed to use TokenWriter to change the device ID of the phone to CNG.

Now, I would like to use the T-Mobile 3.05 firmware update. However, when I run the updater it says the software is not compatible with my device. I suspect this is because I have set the token to CNG. Does anybody know what the correct token is for T-Mobile phones, or another way to update my phone using the Treo updater?

Thanks,
Jake